Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractPatternNamedNumber

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractPatternNamedNumber

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractPatternNamedNumber extends IdTitle
Именованный порядковый параметр шаблона имени договора.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPatternNamedNumber()`
  `ContractPatternNamedNumber(String title, String comment, int index, int countNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getCountNumber()`
  `int`
  `getIndex()`
  `ContractPatternNamedNumber`
  `setComment(String comment)`
  `ContractPatternNamedNumber`
  `setCountNumber(int countNumber)`
  `ContractPatternNamedNumber`
  `setId(int id)`
  Устанавливает id объекта
  `ContractPatternNamedNumber`
  `setIndex(int index)`
  `ContractPatternNamedNumber`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractPatternNamedNumber

    public ContractPatternNamedNumber()

  - ### ContractPatternNamedNumber

    public ContractPatternNamedNumber(String title, String comment, int index, int countNumber)

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getCountNumber

    public int getCountNumber()

  - ### getIndex

    public int getIndex()

  - ### setComment

    public ContractPatternNamedNumber setComment(String comment)

  - ### setCountNumber

    public ContractPatternNamedNumber setCountNumber(int countNumber)

  - ### setId

    public ContractPatternNamedNumber setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setIndex

    public ContractPatternNamedNumber setIndex(int index)

  - ### setTitle

    public ContractPatternNamedNumber setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`